LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Modules | Variables
Privilege.idl File Reference

Go to the source code of this file.

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdbcx
| High-level database component interfaces.

## Constant Groups
constants | com::sun::star::sdbcx::Privilege
| defines a list of flags (bitmaps) which determines the access rights of a user or a user group.

## Variables
const long | SELECT = 0x00000001
| indicates that a user is allowed to read the data. More...
const long | INSERT = 0x00000002
| indicates that a user is allowed to insert new data. More...
const long | UPDATE = 0x00000004
| indicates that a user is allowed to update data. More...
const long | DELETE = 0x00000008
| indicates that a user is allowed to delete data. More...
const long | READ = 0x00000010
| indicates that a user is allowed to read the structure of a definition object. More...
const long | CREATE = 0x00000020
| indicates that a user is allowed to create a definition object. More...
const long | ALTER = 0x00000040
| indicates that a user is allowed to alter an existing object. More...
const long | REFERENCE = 0x00000080
| indicates that a user is allowed to set foreign keys for a table. More...
const long | DROP = 0x00000100
| indicates that a user is allowed to drop a definition object. More...